# Interface AreaDto

Data transfer object for markup areas, this represents the area data that will be saved to the layer.

interface AreaDto {
color: RgbaDTO;
id: string;
points: Vertex3[];
properties: { [key: string]: string | number | boolean };
type: Area;
}

#### Hierarchy (View Summary)

- EntityBaseDto
  - AreaDto

##### Index

### Properties

color
id
points
properties
type

## Properties

### color

color: RgbaDTO

### id

id: string

Inherited from EntityBaseDto.id

### points

points: Vertex3[]

### properties

properties: { [key: string]: string | number | boolean }

Inherited from EntityBaseDto.properties

### type

type: Area